**`RAVI C SINHA`[NAME]** -NL- E-mail: **`sinharavi684@gmail.com`[EMAILS_EMAIL]** -NL- Mobile: **`+91-9175501880 `[PHONES_PHONE]**-NL- **`SUMMARY:`[SUMMARY_HEADING]** -NL-  Having 10 years of Experience in IT Industry in Developing JAVA and J2EE applications using -NL- Tomcat, Eclipse, Ant, SVN,GIT and IBM WebSphere. -NL-  Good Experience in Developing Applications using JAVA, JDBC, JSP, Servlets and J2EE. -NL-  Good Implementation Knowledge in Spring Framework. -NL-  Good Implementation Knowledge in Spring Boot. -NL-  Good Implementation Knowledge in RestFul Webservice. -NL-  Good Implementation Knowledge in J2EE Design Patterns. -NL-  Good Knowledge in Hibernate Framework. -NL-  Strong analytical and problem-solving skills with good interpersonal and communication -NL- skills. -NL-  3.6 years onsite work experience in Malaysia. -NL- **`PROFESSIONAL SUMMARY:`[OTHERS_HEADING]** -NL- 1 **`Capgemini India Pvt. Ltd`[EMPLOYER_COMPANY_NAME]**., Pune from Nov 2012 to Till Date. -NL- 2 **`Tech Mahindra Ltd`[EMPLOYER_COMPANY_NAME]**., Pune from Oct 2009 to Nov 2012. -NL- 3 **`Magna InfoTech Pvt. Ltd`[EMPLOYER_COMPANY_NAME]**. from Oct 2008 to Sept 2009. -NL- 4 **`Six Sigma Soft Solutions Pvt. Ltd`[EMPLOYER_COMPANY_NAME]**. from Dec 2007 to June 2008. -NL- **`EDUCATION:`[EDUCATION_HEADING]** -NL- 1 B.E. (**`Computer Science`[EDUCATION_COURSE]**) from **`REC Bhalki under V.T.U., Belgaum`[EDUCATION_INSTITUTE]** in 2005 with 68.6%. -NL- 2 **`12th`[EDUCATION_DEGREE]** from **`BIEC Patna`[EDUCATION_INSTITUTE]** in June 1999 with 62.2%. -NL- 3 **`10th`[EDUCATION_DEGREE]** from **`BSEB Patna`[EDUCATION_INSTITUTE]** in 1997 with 59.6%. -NL- **`SKILL SET:`[SKILLS_HEADING]** -NL- Operating System : Windows 98/NT/2000/XP. -NL- Languages : Java, SQL. -NL- Application/Web Servers : IBM Web Sphere, Apache Tomcat 5.0, 7.0. -NL- Java Technologies : J2EE (JDBC, Servlets, JSP ). -NL- RDBMS : Oracle. -NL- Frameworks : Spring, Spring Boot,Ant, Maven,Hibernate. -NL- Markup languages : HTML. -NL- Tools Used : PL-SQL Developer, FileZilla, Hudson & Sonar -NL- PROJECT PROFILE: -NL- PROJECT #1 : **`DMS`[PROJECT_TITLE]** -NL- Client : **`Total Bank Solution`[PROJECT_COMPANY_NAME]** -NL- Role : Developer -NL- Team Size : 4 -NL- Duration : Feb 2019 to till date -NL- Environment : Win 2000, Java, spring , Hibernate and oracle -NL- Description : -NL- Deposit Management System One of the main functions of banks is to accept deposits. Deposits are used -NL- for the purpose of lending. Since banks are using other people’s money to do business, it should make -NL- sure that it will be able to repay the deposits to the respective customers when they claim for it. The -NL- management of all this is called deposit management. -NL- Our deposit management system facilitates the interaction between banks andfinancial intermediaries or -NL- trust organizations, reducing costs, increasing revenue, mitigating risks and creating more value both for -NL- the company and its customers. -NL- Responsibilities: -NL-  Understanding requirements of change request and implementing the solution. -NL-  Actively involved with enhancement,fixing defects, DB patches and testing etc. -NL-  Regular communication with client for understanding requirements, defect resolution and -NL- related discussion. -NL-  Provide production support whenever needed -NL- PROJECT #2 : **`OFX`[PROJECT_TITLE]** -NL- Client : **`Standard Chartered GBS`[PROJECT_COMPANY_NAME]** -NL- Role : Developer -NL- Team Size : 6 -NL- Duration : Jan 2018 to Dec 2018 -NL- Environment : Win 2000, Java, spring ,Spring Boot, Restful Service, Hibernate and -NL- oracle -NL- Description : -NL- Online Forex Exchange (**`OFX`[PROJECT_TITLE]**) is an online tool where individual and company can buy and sell currency. -NL- This tool determines the foreign exchange rate. It includes all aspects of buying, selling currencies at -NL- current or determined prices. **`OFX`[PROJECT_TITLE]** is tool of Standard Charter Bank for exchange currencies. -NL- In this tool we have following modules. -NL-  Watch list -NL-  Orders -NL-  Alert -NL-  Notification. -NL- Responsibilities: -NL-  Understanding requirements of change request and implementing the solution. -NL-  Actively involved with enhancement,fixing defects, DB patches and testing etc. -NL-  Regular communication with client for understanding requirements, defect resolution and -NL- related discussion. -NL-  Support to QA Team -NL- PROJECT #3 : **`Trade Port`[PROJECT_TITLE]** -NL- Client : **`Standard Chartered GBS`[PROJECT_COMPANY_NAME]**, Malaysia -NL- Role : Developer -NL- Team Size : 12 -NL- Duration : June 2015 to Dec 2017 -NL- Environment : Win 2000, Java, spring ,Spring Boot, Restful Services, -NL- Hibernate and oracle -NL- Description : -NL- **`Trade Port`[PROJECT_TITLE]** project provides the world class supply chain tradefinance solution. **`Trade Port`[PROJECT_TITLE]** has increased -NL- the capability of the bank in handling more transactions and provides a seamless interaction between -NL- business, operation and customers. OTP is an arrangement where an exporter (seller) simply ships the -NL- goods and bills the importer (buyer) who is expected to pay under agreed terms at a future date. This -NL- project is recommended to use for- -NL-  Low risk trading Markets -NL-  Competitive market to win customers -NL-  Boost competiveness in global market. -NL-  Assist to establish and maintain a successful trade relationship. -NL- Responsibilities: -NL-  FSD Analysis and providing implementation for open trade system. -NL-  Preparing TSD and walkthrough documents for future support. -NL-  Involved in coding as per requirement -NL-  Preparing SQL scripts for Database level changes. -NL-  Using spring Boot to bootstrap microservices. -NL-  Responsible to support QA team. -NL-  Responsible for Defect Fixing -NL- PROJECT #4 : **`IPortal`[PROJECT_TITLE]** -NL- Client : **`Barclays`[PROJECT_COMPANY_NAME]** -NL- Role : Developer -NL- Team Size : 8 -NL- Duration : Jan 2013 to May 2015 -NL- Environment : Win 2000, Java, Spring and Oracle. -NL- Web Server : Tomcat -NL- Description : -NL- **`Barclays`[PROJECT_COMPANY_NAME]** iPortal is the internet channel for **`Barclays`[PROJECT_COMPANY_NAME]** Corporate. This portal acts as integration layer for -NL- corporate client to access **`Barclays`[PROJECT_COMPANY_NAME]** Product and services. **`Barclays`[PROJECT_COMPANY_NAME]** iPortal gives access to a range of online -NL- banking services, including **`Barclays`[PROJECT_COMPANY_NAME]**.Net. It allows to manage accounts, Stop Cheque Books, Standing -NL- Orders and Direct Debits. **`Barclays`[PROJECT_COMPANY_NAME]** iPortal uses Single Sign-On functionality allowing to login once and -NL- having access to additional service without the need to login again. This project also provides the reports -NL- for Client, Client User and Bank User. User can view the details of Client and Users. **`IPortal`[PROJECT_TITLE]** is intuitive and -NL- easy-to-use. -NL- Responsibilities: -NL- 1. Implemented the Service layer. -NL- 2. Responsible for written Bean class. -NL- 3. Responsible for coding and code review. -NL- 4. Implemented the Junit. -NL- 5. Responsible to support Testing team. -NL- 6. Responsible to Create Technical Specification Document. -NL- PROJECT #5 : **`Cellcom Billing System`[PROJECT_TITLE]** -NL- Client :**` CPW, UK `[PROJECT_COMPANY_NAME]**-NL- Role : Technical Associate -NL- Team Size : 5 -NL- Duration : Apr 2011 to Nov 2012. -NL- Environment : Win 2000, Java, J2ee, Spring and Oracle. -NL- Web Server : Tomcat -NL- Description : -NL- CBS is Billing System which is used to add and validate new Subscribers before -NL- they are connected to network, payment and generates Bills.CBS is linked to a variety of external systems, -NL- including The Carphone Warehouse, PIE, the network providers, BACS (for processing Direct Debit -NL- payments), BMS (for processing Credit Card payments), Equifax (for credit checking), DWH and Williams -NL- Lea/Inc (for bill and letter production). This application contains different modules: Insight, DD-HUB, IVR, -NL- VAS, Bulkops, MNP, CCS and XML Transaction. -NL- The primary business functions performed by CBS are: -NL- • Automated connection of services to the cellular networks -NL- • Subscriber management -NL- • call data collection and billing. -NL- Responsibilities: -NL- 1. Responsible for coding and code review. -NL- 2. Responsible to support Testing team. -NL- 3. Responsible for Defect Fixing. -NL- PROJECT #6 : **`Prepaid IT Application`[PROJECT_TITLE]** -NL- Client :**` Telefonica O2, Germany `[PROJECT_COMPANY_NAME]**-NL- Role : Technical Associate -NL- Team Size : 15 -NL- Duration : Oct 2009 to Mar 2011 -NL- Environment : Win 2000, Java, Jsp,Struts and Oracle. -NL- Web Server : Tomcat. -NL- Description : -NL- Prepaid IT is a bespoke application catering to the CRM functionality of O2 -NL- Prepaid subscribers. The major tasks of Prepaid IT at a glance are -NL-  Supports Prepaid Business Processes -NL-  Interfaces between various communication channels (POS, CS, Portal, IVR, SMSG) for -NL- prepaid customers and services -NL- It handles functionalities like: -NL-  Registrations and activations of customers -NL-  Provisioning and de-provisioning of services for prepaid -NL-  Tariff management for Prepaid customers -NL-  Information display and handling communication to the customers -NL-  Facilitate handling of customer complaints and irregularities in the prepaid -NL- functionalities. -NL- Responsibilities: -NL- 1. Responsible for coding and Defect Fixing. -NL- 2. Responsible for writing DAO’s -NL- 3. Responsible for Writing Junit. -NL- 4. Responsible to support Testing team. -NL- 5. Responsible to write Business Delegate. -NL- 6. Responsible for Defect Fixing. -NL- PROJECT #7 :**` VODAFONE CPOS`[PROJECT_TITLE]** -NL- Client :**` Vodafone Essar `[PROJECT_COMPANY_NAME]**-NL- Role : Software Engineer -NL- Team Size : 20 -NL- Duration : Oct 2008 to Aug 2009 -NL- Environment : Win 2000, Java, JSP, JDBC, Struts and Oracle. -NL- Web Server : Tomcat -NL- Description : -NL- cPOS provides a centralized Point of sale system for Vodafone taking into -NL- account the existing cPOS systems. The cPOS will allow circle creation. Circle defines telecom Service -NL- Area/ geographical location. This project contains different Modules: Admin, CRS, Inventory, Sales and -NL- Sales Commission. I involved in CRS.CRS is the Customer Registration System. CRS will be the entry point -NL- for new customers into cPOS system.CRS will provide distributors a way to trigger various kinds of -NL- activations for both the subscriber types - Prepaid and Postpaid. This Project will provide the facility for -NL- Activation Types, Form Types, Pre to Post Migration, Post to Pre Migration, Number Replacement, Sim -NL- Replacement, Prepared Dunning Process, Prepaid Activation, Postpaid Activations, Tele Calling Agency, -NL- Lead Verification and Customer Verifications. This project also provides the service on Activation Types -NL- Like as CUG, IMC and COFU. -NL- Responsibilities: -NL- 1. Responsible for coding. -NL- 2. Responsible for implementing Action Classs. -NL- 3. Responsible for developing the View using Jsp. -NL- 4. Responsible to support Testing team and Parallel Production Environment. -NL- PROJECT #8 : **`ZFS R3 (Zurich Financial Services Release 3)`[PROJECT_TITLE]** -NL- Client : **`Zurich`[PROJECT_COMPANY_NAME]** -NL- Role : Software Engineer -NL- Team Size : 15 -NL- Duration : Dec 2007 to June 2008 -NL- Environment : Win 2000, Java, JDBC, Eclipse and Oracle. -NL- Web Server : Tomcat 5.0. -NL- Description : -NL- **`Zurich`[PROJECT_COMPANY_NAME]** Financial Services is purely an insurance product. Its main goal is to provide -NL- insurancefinance for corporate companies. Insurance works on concept of risk sharing. This is an end-to- -NL- end insurance solution catering to the entire value chain of Insurance, Motor and Pleasure Craft. The -NL- product supports all Lines of Business in General Insurance.This project contains three modules: Marketing -NL- and Sales, Cliams and Finance. Marketing and Sales divided into Login and Menu, Search & Display and -NL- Quote & Buy. It provides services like Login Menu and Notes, Search and Display and Quote and Buy. -NL- Login menu & Notes: Observation or Comment registered in a business unit for the general information -NL- of any user who access it. -NL- Search & Display: Search and Display is also a Business Activity by which Quoted activity can search and -NL- identify. -NL- Quote & Buy: A quote is the Business activity by which a specific risk is identified, the risk -NL- Coverage label is defined and rated. Once a quote is created, it is identified by means of a numerical code -NL- assigned automatically by the systems. -NL- Responsibilities: -NL- 1. I was involved in coding part. -NL- 2. Responsible for Writing a Jsp, Action Class & Business Delegate. -NL- 3. Responsible to support QA team. -NL- 4. Responsible for Writing a Technical Specification. -NL- Passport Details: -NL- Passport No : M8632246 -NL- Ravi Chandra Sinha -NL- 